<?php

// This test file is a simple modification of a
// sample file include in FastTemplate

include ($DOCUMENT_ROOT . "/test/ben/cache/class.fasttemplate.pinc");

$tpl = new FastTemplate($DOCUMENT_ROOT . "/test/ben/cache");

$tpl->define(
 array(
 main => "main.tpl",
 table => "table.tpl",
 row => "row.tpl"
 )
);

$tpl->cache_expire (main, 20);

if (!$tpl->is_cached (MAIN, "main")) {

  print "<h1>Not Cached</h1>";

 $tpl->assign( array( TITLE => "FastTemplate Test") );
 
 for ($n=1; $n <= 3; $n++)
 {
 $Number = $n;
 $BigNum = $n*10;
 
 $tpl->assign(
		 array(
			 NUMBER => $Number,
			 BIG_NUMBER => $BigNum
			 )
		 );
 
 $tpl->parse(ROWS,".row");
 }
 
 $tpl->parse(MAIN, "table");
 $tpl->parse(MAIN, "main");
 
 $tpl->write_cache(MAIN, main);
} else {
  
  print "<h1>Cached</h1>";
}

$tpl->FastPrint();

?>
